Changelog:

7.2.1.0
- added sorted list for delete satellite option in context menu
- added volume up to 200% for streaming player
- improved stripping of ANSI escape sequences from telnet prompt
- improved parsing of marker entries
- fixed reading bouquets file with invalid entries
- fixed non-working update check
- OpenSSL security updates

7.2.0.0
- added eServiceUri support
- added autoscrolling on moving profiles
- added moving multiple profiles at once
- added switch on/off service type indicators without restart
- added scaling factor 200%
- improved write all linebreaks as Unix(LF) not Windows(CRLF)
- improved MIS/PLS handling
- improved error messages
- fixed initial default pathes
- fixed issues with path selection dialog
- fixed some uncommon bug when writing markers (introduced by last update)
- fixed assign and remove of picons in main service list
- fixed OpenSSL libraries (x64 files were missing)
- fixed not properly working function "Mark services not in Userbouquets with flag X"
- fixed error on export of bouquets/services
- fixed skipping of some completely invalid formed bouquet entries of some IPTV providers
- fixed satellites.xml editor (transponders weren't deleteable if confirmation questions were disabled)
- fixed website links
- some GUI improvements
- OpenSSL security updates
- language file updates

7.1.0.0
- added option to disable service type indicators in front of servicenames (options panel GUI)
- added new cleanup function for local picon directory (removes all picons not found in any user bouquet)
  Note: the other option removes only picons not found in both lamedb AND user bouquets
- added High-DPI support / scaling natively without losing sharpness
- added scaling factors 100%, 125%, 150% and auto (depends on system setting)
  Note: this will override the font size selection which is now only used on 100% factor
- added 64-bit build of dreamboxEDIT
  Note: use VLC 32-bit for standard and VLC 64-bit for x64 version of dreamboxEDIT
- improved dreamboxEDIT installer: new accessibility options (high contrast mode, scaling mode)
- improved automatic VLC path detection for use with 32-bit/64-bit dreamboxEDIT/VLC at the same time
- improved manually set VLC path is now separately saved for 32-bit/64-bit VLC
- fixed writing hidden/numbered markers (some invalid descriptions were written before)

7.0.1.0
- added support for real hidden markers (#SERVICE 1:832:d:0:0:0:0:0:0:0:)
- fixed autoexpand of provider bouquetlist when using create bouquet from context menu
- fixed dreamboxEDIT installer, remove all files properly on uninstall

7.0.0.0
- added support for editing of non-TS streaming services with full reference
- added copying of existing service reference to an IPTV service (hold down CTRL while using drag&drop)
- added rename of IPTV services to context menu
- added automatic IPTV service name formating
- added picon support for streaming services with full reference
- added picon setting for using 4097_... service ref for filename (if needed)
- added service type indicators (SD, HD, UHD, H.265, Radio, Data) in front of servicenames
- added more filter options (SD, HD[H.265], UHD[H.265], DVB-T2)
- added support for DVB-T2 (only cosmetic changes, older versions already work with DVB-T2)
- added support for DVB-S2 modulations 16APSK and 32APSK
- added support for multistream MIS/PLS (fully editable in satellites.xml editor, service details, transponder edit)
- added playback of IPTV streams
- added automatic replace of invalid polarization values (some satellites.xml use polarization L/R instead of 2/3)
- added copyable service reference with colons to service details
- added insert hidden marker to context menu (enable fastscan/hidden marker support first in options panel advanced)
- added support for unknown services in userbouquets (includes former known subservices) (options panel advanced)
- added experimental option to save lamedb5 format (OpenPLi)
- added configurable buffer size for streaming player (options panel GUI)
- updated streaming player
  Note: VLC 2.2.4 is recommended (32-bit only), any other version may or may not result in error messages
- improved crypto icon (encrypted services) in front of servicenames
- improved reading speed on userbouquet switch
- improved picon resizing speed
- improved marker visualization
- improved Wine compatibility (Wine 1.8.3 recommended)
- improved compatibility with "Parallels Desktop for Mac" coherence mode
- dropped support for obsolete settings format 3
- re-enabled the export of terrestrial services/bouquets in Excel readable format
- fixed hiding of alternatives view after reading new lamedb
- fixed removing alternatives if a service is removed from all bouquets
- fixed user bouquet import with hidden markers
- fixed rendering of disabled menu items
- fixed memory exception when copying IPTV services from one dreamboxEDIT session to another one
- many GUI improvements (including the new MetroUI standard skin)
- language file updates, added missing ones to setup exe file
- minor fixes
- fixed dreamboxEDIT installer, now the registry is cleaned properly on uninstall again
  Note: before reporting any bugs, please try to uninstall first if you experience any issues
        if you experience any issues with the file open dialog, switch to the old style dialog (options panel general)

6.1.2.0
- added service type 31 (HEVC digital television service) to TV defaults (options panel advanced)
- added new filter option for H.265 services
- fixed new AlterMetro 2016 skin

6.1.1.1
- fixed update check

6.1.1.0
- added support for non-TS streaming services with full reference
- added new AlterMetro 2016 skin
- added Latvian translation
- forced old style path selection dialog for Wine
- fixed multiple selections in bouquetlist
- fixed paste of IPTV services from clipboard with full reference
- OpenSSL security updates

6.1.0.0
- improved hints placement
- added Lithuanian translation
- language file updates
- OpenSSL security updates
- updated IP stack

6.0.2.0
- added support for AAC PID cache (PLi format)
- added new Windows 10 skin
- fixed service name alignment
- fixed problems under Windows Vista introduced by the Windows security update KB3057839
- OpenSSL security updates

6.0.1.3
- fixed supported marker length with unicode characters
- fixed configurable background color for transparent picons
- improved hints timings
- OpenSSL security updates
- some GUI improvements
- changed support email address

6.0.1.2
- fixed update check
- OpenSSL security updates
- some GUI improvements
- language file updates

6.0.1.1
- fixed missing transponder parameters when comparing services
- fixed missing package name UTF-8 conversion in hint details list
- fixed integer error on namespace calculation

6.0.1.0
- added renaming of bouquets with CTRL+R
- fixed parsing of corrupted lamedb entries
- fixed unicode issues when saving bouquetnames on some systems
- improved Wine compatibility (Wine 1.6.2 recommended)
- OpenSSL security updates
- some GUI improvements
- language file updates

6.0.0.2
- fixed UTF-8 conversion errors on copy&paste of services/markers
- some GUI improvements

6.0.0.1
- fixed dreamboxEDIT 4.x.x.x profiles import on first clean startup
- fixed minimizing bug on some systems

6.0.0.0
- added full unicode support (cyrillic, greek, arabic, chinese, japanese and many more characters)
- added IPv6 support (no telnet available, so some options are also disabled on IPv6)
- added SSL/TLS support (HTTPS and FTPS [only explicit mode])
- added support for data directory per profile with fallback to a global data directory
- added support for streaming services with URL length up to 1000 characters
- added support for new PID cache format (AAC, HE-AAC and AC3+) (DMM and PLi format)
- added support for fastscan / hidden markers (#SERVICE 1:320:0:0:0:0:0:0:0:0:) (options panel advanced)
- added new filter options for HD and SD (H.264) services
- added parental control file (blacklist/whitelist) reload on service list reload (mode=4)
- added configurable font size for main window lists
- added support for manually added flags to lamedb with length of 1 byte
- added support for display of 50x30 and 220x132 picon size
- added highspeed picon resizing algorithm
- added configurable skin brightness
- added options for hiding toolbar and statusbar
- added completly new video tutorials
- added fullscreen video streaming
  Note: VLC 2.1.3 is recommended, any other version may or may not result in error messages
- added EPG for currently streamed service
- fixed missing mode=3 (satellites.xml) on auto reload
- fixed error after editing cable transponder data
- improved Wine compatibility (runs on Linux and Mac)
- improved FTP up-/download speed
- general GUI speed improvements
- language file updates
- minor fixes
- code cleanup

5.3.1.5
- fixed compatibility issues with invalid bouquet files created by Dreamset

5.3.1.4
- fixed compatibility issues with latest DMM changes

5.3.1.3
- fixed non-working saturation and hue trackbar in color scheme options

5.3.1.2
- fixed some window scaling issues
- fixed some wine issues

5.3.1.1
- fixed window maximizing bug on startup

5.3.1.0
- added assign and remove of picons in main service list
- fixed color issues in compare dialog
- fixed zapping on Enigma1 boxes
- added new skin: Office 2013 Blue

5.3.0.0
- added transponder (satellites.xml) reload on service list reload
- fixed bouquetnames are now also written in UTF-8 on export
- fixed usage of profile picon path in service details
- added new skins: AlterMetro, GPlus
- some minor fixes

5.2.0.0
- added support for extended session-based security (WebInterface 1.7.4 and higher)
- added support for simple anti-hijack measures (WebInterface 1.7.3 and higher)
- added new error message when using picon cleanup function and an invalid filename was detected
- added paste from clipboard (E2 settings format), just copy&paste streaming services to your userbouquets
- fixed service type display issue
- fixed some localisation issues with cyrillic letters
- some language file updates

5.1.1.1
- fixed duplicate service detection for streaming services
- fixed support for streaming services with full reference and missing #DESCRIPTION
- fixed function clear "N" and "X" flags for selected services(s) in context menu
- fixed function toggle parental lock in context menu
- fixed function set keep flag in context menu
- fixed filter for "only new" services, some services were missing if other flags were set
- compare window state is now saved
- some minor fixes

5.1.1.0
- added parental lock for streaming services (hope I didn't break anything with that change)
- added support for streaming services with missing #DESCRIPTION line in userbouquet files
- added streaming services to the userbouquet import function
- added automatic streaming URL conversion for "StreamingStar's URL Helper" format
- added ZAP to service before streaming to the streaming options panel (useful for single tuner receivers)
- changed VLC streaming behaviour, VLC is disabled by default now, activate it in the streaming options panel
  Note: VLC 2.0.4 is recommended, any other version may or may not result in error messages
    the VLC installation directory set in the options panel is now used first and
    the automatically detected installation directory of VLC from the registry is used afterwards
- fixed error message when clearing all "N" and "X" flags while using filter "only new"
- fixed error message when clearing all parental locks while using filter "only locked"
- some minor fixes

5.1.0.2
- fixed error message in empty bouquet area when opening the context menu
- some language file updates

5.1.0.1
- fixed picon upload

5.1.0.0
- added support for streaming services (non TS based IPTV/Radio services) in userbouquets
- added menu for adding/editing of streaming services
- added video streaming support for all box types
- added new filter options for only new and only locked services
- added option to re-enable the old style path selection dialog
- added configurable local picons path per profile, if no path is defined the global local picon path is used
- added deletion of temporary picon.zip after picon upload
- added new skins: Deep, iOS dark, MacOS2, Mint, NextAlpha, Subway, Toxic, Windows 8, WMP 2008, Zest
- added fix for the missing context menu in edit boxes
- added new hints (no more flickering)
- re-enabled the export of cable services/bouquets in Excel readable format
  Note: re-import of cable services/bouquets is not possible, all cable services will be skipped on re-import
- fixed path selection dialog translation
- fixed timeout issue with enabled active service/volume control/signal strength display
- fixed error message while creating bouquet for one satellite
- fixed error when sorting cable and terrestrial services in the compare window
- some minor fixes

5.0.2.0
- added configurable background color for transparent picons
- added transliteration support for cyrillic letters (only russian)
- added transliteration support for greek letters
- added option to enable/disable transliteration
- fixed some problems with very long servicenames

5.0.1.0
- added new hints in main list, now with bouquet references
- fixed application closing after canceling
- fixed error message after dropping service on current bouquet
- fixed main service list refresh after selection of another bouquet

5.0.0.3
- changed QuickFTP buttons to avoid further confusions
- fixed hiding QuickFTP buttons if disabled in options
- some minor fixes

5.0.0.2
- fixed streaming for WebInterface 1.7.0 and higher

5.0.0.1
- fixed compatibility problems when running dreamboxEDIT under wine
  Note: skinning support is automatically disabled, Wine 1.3.34 or higher is mandatory
- some language file updates

5.0.0.0
- added completly new GUI with skinning support
- added transparency to crypto icon in main service list
- added transparency to dummy picon in bouquet panel
- added configurable color marker for selected services
- added proper handling of renamed alternatives
- added warning message if multibouquet is disabled on your dreambox
- added signal strength indicator
- fixed renumbering channel numbers after using "sort alphabetically" from context menu
- fixed when sorting by frequency now also sorting by polarisation is applied
- fixed problem with missing objects (service counter, profile selection)
- fixed cut&paste services with alternatives
- fixed saving of current profile when options panel is closed
- integrated language tool (Help -> Language Tool)
- removed LanguageTool.exe from installation package
- removed outdated help files
- language files updated
- some minor fixes
----------------------------------------------------------------------------------------------------------------------
The the following features are only supported on genuine Dreamboxes with Enigma2-Images based on Release 3.2 or higher
----------------------------------------------------------------------------------------------------------------------
- full support for filtering of encrpyted services is now enabled
- full support for streaming services in userbouquets
- added video streaming support
  Note: VLC 1.1.11 or higher is required, the installation directory is detected automatically, if you are using
        a portable version set the VLC installation directory in the options panel.
- added support for taking snapshots of currently played stream

4.1.0.1
- fixed problem with profile selection in options panel
- fixed missing parameters for cable settings after Enigma1->Enimga2 conversion

4.1.0.0
- added crypto icon in main service list if service is encrypted (Note: this is only working properly on future Enigma2 Images)
- added filter for encrypted and unencrypted services (Note: this is only working properly on future Enigma2 Images)
- added copy service reference to clipboard option to context menu of main service list and bouquet panel
- added a info window with some informations about the new filtering behaviour
- fixed error message when using picon cleanup function and filename wasn't using proper picon reference format
- fixed error message when using add new service option in context menu
- fixed application hanging when parsing lamedb with corrupted transponder entry
- fixed problems after adding new services, the services weren't covered by the filters
- some minor fixes
- language files updated

4.0.1.2
- fixed userbouquets with renamed services are now written in proper settings-type 4 format
- fixed problem when saving cable or terrestrial settings (some parameters were lost)
- language files updated

4.0.1.1
- fixed alternatives filename generation
- fixed error message after opening Enigma1 settings
- fixed total service counter was overlapped by displayed service counter after startup without settings
- language files updated

4.0.1.0
- fixed sorting services in bouquet panel was broken after adding channel numbers to the bouquet panel
- fixed error when sorting bouquets with cable and terrestrial services
- fixed some other functions were also broken after adding channel numbers to the bouquet panel
- fixed hour glass didn't get away after loading new settings
- fixed error message when using picon cleanup function and filename wasn't using proper picon reference format
- fixed alternatives are no longer considered as duplicates of fixed services in the same user bouquet
- fixed alternatives handling, now you can use the same service with and without alternatives in one user bouquet
- fixed blacklist entry for radio user bouquets
- fixed all files are now written in proper settings-type 4 format
- fixed auto insert markers for cable and terrestrial services
- added Enigma2 restart button to ftp window, use this button to activate any changes related to lamedb and/or black-/whitelist
  use the autoreload or "reload settings on dreambox" button if you only change your userbouquets
- added sorting of profiles in options panel
- changed satellites in filter combobox are now sorted by position from west to east
- changed profile default paths to enigma2 defaults
- window state is now saved on application close, and restored when application is started
- some minor fixes
- language files updated

4.0.0.0
- code migration to Delphi 2007, for later unicode support
- removed XP visual styles (there were some problems after migration to Delphi 2007)
- added theming for some components
- added channel numbers in bouquet panel
- added new hints in main list and bouquet details, now with picon and service reference
- added option to assign and remove picons
- added cleanup function for local picon directory (which removes all unused picons) to tools menu
- added option for automatic picon upload to FTP window (Note: unzip command on your dreambox is required)
- added configurable per profile picon path to options panel
- added quick profile selection in statusbar
- added enhanced filter expressions (SQL style):
  use % as substitute for zero or more characters (e.g. %sky% shows all channels with "sky" in name),
  use _ as substitute for exactly one character (e.g. _sky_ in package filter shows channels of provider "BSkyB")
  use \ as escape character (e.g. %\%% shows all channels with "%" in name)
  if you don't use above filter characters the filters will only show exact matches
- changed TV service types defaults (now including HDTV service types)
- fixed error message when saving alternatives bouquet with parental lock
- fixed error message after reading radio service alternatives
- fixed bouquet change is now disabled while picons are loading to prevent errors
- fixed alternative service names are now written in UTF-8 instead of ANSI
- fixed alternatives are now deleted if service is removed from main service list
- fixed alternatives are now handled for each user bouquet seperately
- fixed translation problem in alternatives panel
- fixed problem with incorrect filename if you tried to add alternatives for a data service, adding alternatives
  for data channels is not allowed, please set proper service types in advanced options first
- fixed keep filters when adding alternatives for a service
- fixed missing picons when using cut&paste or drag&drop
- fixed display of proper bouquet name when bouquet has been renamed
- fixed display of picons when adding services to an empty bouquet
- removed "input selection" in main service list as it didn't work as expected

3.1.0.2
- fixed total service counter was overlapped by displayed service counter if bouquet panel size was changed
- fixed application hung if you tried to drag&drop a service in user bouquet to the same position
- fixed flickering hint in details list
- fixed sorting of alternatives is now possible, first service in row is the primary service
- fixed some missing translations
- changed algorithm for generation of alternatives filename
- changed to a good quality picon resizing algorithm
- added picon size 40x30 (downsizing for 71x53 and 70x53) and 40x24 (downsizing for 100x60) in options panel,
  40x30 is the default size now, all picons are resized to this size for smaller picons in details list,
  if you like to see the picons in its original size just select the proper size in options panel

3.1.0.1
- fixed problem with bouquet selection panel
- added selectable picon format (100x60, 71x53, 70x53)
- added autoresize for picons if format doesn't match selection
- now uses another library for picons to speedup picon loading

3.1.0.0
- fixed problem when using cut and paste with cable or terrestrial services
- fixed cut and paste which filled empty fields with 0
- fixed compare function, the internal service counter wasn't reset when the operation was canceled
- fixed a problem when option "show all service details in the services list" was disabled
- fixed error message when rolloff or pilot is missing in lamedb for DVB-S2 transponders
- fixed namespace calculation for Enigma2
- fixed error message in details and transponder edit window with Enigma1 settings
- fixed bouquets.tv and bouquets.radio which are now written in proper settings-type 4 format
- disabled renaming of markers, use the edit marker text option in context menu
- improved satellites.xml update
- added full Engima2 alternatives support
- added option "Don't save backup files" (this option will also remove existing backups from save directory)
- added cleanup function for save directory which removes all unneeded files
- added display of reference picons (format 71x53) in bouquets and in service details window
- added option to enable/disable picons in bouquets panel

3.0.3.0
- DVB-C symbolrate is now displayed in main window
- all frequencies in the main window are now displayed in MHz
- all symbolrates in the main window are now displayed in well known formats
  e.g. for satellite 27500 instead of 27500000, for cable 6900 instead of 6900000
- added support for "new channel" flag of your dreambox (flag can be set or removed in service details)
  Note: There are two different new channel flags
        the first the one is the old "New" flag (now "X") which is set when using "Mark services not in Userbouquets with X"
        option in context menu
        the second one is the "N" flag which is set by your dreambox when a new channel is found by the service scan
- added option to remove all "N" and "X" flags in tools menu
- changed option in context menu to remove "N" and "X" flags from selected services
- fixed problems when using the compare functions
- fixed problem with missing DVB-system and modulation when using cut and paste
- fixed problem when removing empty markers
- added support for parameter c:09 (subtitle) for Enigma1
- finally fixed missing scrollbar issue

3.0.2.0
- added DVB-S2 transponder data editing
- added DVB-S2 export/import
- added support for circular polarisation
- fixed re-import of exported services and bouquet files
- fixed export of renamed services
- fixed satellites.xml update function
- fixed some missing translations
- language files updated
- code cleanup

3.0.1.7
- fixed problem with user bouquet import
- support for Enigma2 user bouquet parental lock
- small GUI fixes

3.0.1.6
- after changing service type to TV, the text still showed the old service type
- fixed wrong bouquet type flag for radio bouquets
- filter for DVB-S/DVB-S2 added

3.0.1.5
- automatic renaming of invalid bouquets on Enigma2->Enigma1 conversion
- support for Enigma2 alternative services (only download/upload)
- added confirmation question before modification of satellites.xml
- display of currently active service is now disabled by default, but can be enabled in options panel
  (Note: if you experience any problems when running DreamBoxEdit and your Dreambox is offline, just disable that option again)

3.0.1.4
- fix for satellites.xml with twisted parameters
- fixed gui for low resolutions
- some language file updates

3.0.1.3
- fixed problem with FTP mode, Quick FTP commands were sent
- fixed problem with Quick FTP mode, now standard reload command is sent instead of killall -9 enigma2
- fixed problem with directory selection window, now it always jumps to the last used directory
- small GUI changes

3.0.1.2
- fixed overlapping text in translated popup menus
- fixed some not translated shortcuts in popup menus
- fixed language files
- fixed error message when uploading settings without opening them before
- another network timeout fix
- option to deactivate automatic display of currently active service and volume control
- optional use of the old window style, if you remove/rename DreamBoxEdit.exe.manifest from install folder
- improved satellites.xml editor, now fully functional editing for enigma2 and synchronisation with loaded settings

3.0.1.1
- fixed network timeout issue when IP address is not reachable
- fixed editing and saving of negative AC3 and PCM delays
  (note you have to delete all extra parameters in the detail panel if you have entered any delay values before)
- fixed error message after saving and opening new settings
- added customizable row color
- new window and button styles
- all message dialog buttons were german, message dialogs can't be translated, changed locale to English

3.0.1.0
- added display of currently active service on your dreambox (enimga2 only)
- added volume control (enigma2 only)
- added malti language file, other language files updated
- fixed error message when comparing loaded services with services on dreambox/disk
- added button for special services (service types 130, 133 and 211) in the options panel
  (you need a patched Channelselection.py to make this channels visible on Enigma2)
- added service type 10 to standard radio types
- small GUI changes

3.0.0.6
- disabled SatcoDX import/export as this feature is deprecated, website of SatcoDX is down
- improved servicename filter, now it matches all services, the old one missed some (e.g. RTL Television on 19.2�E)
- sorting of columns with drag&drop is now possible (no saving at the moment)
- fixed update check
- added column for DVB-system
- added column for modulation (now it's possible to remove all DVB-S2 transponders after conversion from E2 to E1 very easily)

3.0.0.5
- removed settings-type 3 from options panel (no longer needed all E2-Boxes working with settings-type 4)
- added button with terrestrial path settings (E1) to options panel
- fixed settings-type switching via menu -> tools -> toggle between version 2 and 4 settings
- added language files (crnogorski, czech, dansk, espanol, francais, greek, hrvatski, italiano, magyar,
  nederlands, norsk, polish, russian, srpski, svenska, turkce, ukrainian)
- added language tool for translations (you can find it in the installation folder),
  please send me your language file updates on the support forum, thanks!

3.0.0.4
- fixed error message after enigma2 settings reload
- servicename filter added

3.0.0.3
- fixed scrollbar issue

3.0.0.2:
- restored zap function for enigma2
- changed menu bar icons

3.0.0.1:
- fixed FEC values for DVB-S/DVB-S2 modes
- restored satellites.xml editor function